

import geb.Page
import org.openqa.selenium.By
import org.openqa.selenium.WebElement
import org.openqa.selenium.support.ui.ExpectedConditions
import org.openqa.selenium.support.ui.WebDriverWait


class AddTabPage extends Page {

    static url = "http://localhost:8080/event/#/new"

    static at = { WebDriverWait wait = new WebDriverWait(driver, 30);
        WebElement element = wait.until(ExpectedConditions.visibilityOfElementLocated(By.name("itemName")));
    }

    static content = {
        createForm { $("#create-form") }
        itemName { $('#create-form #item-group input[name=itemName]')}
        itemDate { $("#create-form").$('input', name:'itemDate') }
        eventMessage { $("#create-form").$('input', name:'messages') }
        sendButton { $("#create-form").$("#create-button") }
    }
}