import geb.Page;

class LoginPage extends Page{

    static url = "http://localhost:8080/"

    static at = { title == "Login" }

    static content = {
        navigation { module NavigationModule }
        userFieldLabel { $("label", text : "Email:") }
        loginForm { $('#login-form') }
        userName { $('#login-form input[name=email]') }
        password { $('#login-form input[name=password]') }
        submitButton(to: UserHomePage) {
            loginForm.find('.btn', type: "submit")
        }
    }
}